# Generated by Django 2.2 on 2019-04-20 21:04

from decimal import Decimal
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djmoney.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [migrations.swappable_dependency(settings.AUTH_USER_MODEL)]

    operations = [
        migrations.CreateModel(
            name="Debt",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "debt_value_currency",
                    djmoney.models.fields.CurrencyField(
                        choices=[("PLN", "Zloty")],
                        default="XYZ",
                        editable=False,
                        max_length=3,
                    ),
                ),
                (
                    "debt_value",
                    djmoney.models.fields.MoneyField(
                        decimal_places=4, default=Decimal("0.0"), max_digits=19
                    ),
                ),
                (
                    "user_1",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="owes_debts",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "user_2",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="owed_debts",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        )
    ]
